package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * @author yl
 * @version v1.0
 * @apiNote 曲谱类型,用于曲目管理页面新增编辑时的类型判断
 */
public enum MusicSheetTypeEnum implements BaseEnum<String, MusicSheetTypeEnum> {
    /**
     * 单曲
     */
    SINGLE("SINGLE"),
    /**
     * 合奏
     */
    CONCERT("CONCERT");

    @EnumValue
    private final String code;

    MusicSheetTypeEnum(String code) {
        this.code = code;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
